CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbUDPConnSpec_st Struct Reference

An UDP Connection specifier. More...

`#include <private.h>`

## Data Fields

fbSession_t * | session
| pointer to the session for this peer address
void * | ctx
| application context. More...
union {
struct sockaddr so
struct sockaddr_in ip4
struct sockaddr_in6 ip6
} | peer
| key to this conn spec
size_t | peerlen
| size of peer
struct fbUDPConnSpec_st * | next
| link to next one in list
struct fbUDPConnSpec_st * | prev
| doubly linked to timeout faster
time_t | last_seen
| last seen time
uint32_t | obdomain
| with peer address this is the key
gboolean | reject
| reject flag

## Detailed Description

An UDP Connection specifier.

These are managed by the collector. The collector creates one fbUDPConnSpec_t per "UDP session." A UDP session is defined by a unique IP and observation domain."

## Field Documentation

void* fbUDPConnSpec_st::ctx

application context.

Created and owned by the app

The documentation for this struct was generated from the following file:

- private.h